Subject: [dnsext] New proposal for a DNS API

From: Paul Hoffman <[email-masked]>
Date: Mon, 21 Jan 2013 08:08:04 -0800

Greetings again. There are a few DNS application programming interfaces (APIs) available that cover things like DNSSEC and non-address records, but none that have garnered much interest from the application developers who should be their primary audience. To remedy that, I have created a new design for such an API. I did that outside the IETF, of course, given the IETF's general "we don't do APIs" stance and the oft-stated desire to shut down this WG sooner rather than later.

Please see http://www.vpnc.org/getdns-api/ for the current API proposal and description of the design principles I used to put it together. I am still seeking input from application developers to say what they would really want to see in an API, and from DNS people to say which parts of the DNS should be exposed in what ways to application developers. At some point in the not-distant-future, I will call the design "finished" and hopefully someone will want to implement it.

Please don't discuss the design on the DSNEXT WG mailing list; it is really not appropriate here. I just wanted to alert folks of this work.

--Paul Hoffman